--init.lua Umut K.--
print('Open file: init.lua')

node.setcpufreq(node.CPU160MHZ)
print('CPU FREQ: 160 MHz')

--system voltage
if adc.force_init_mode(adc.INIT_VDD33)
then
  node.restart()
  return -- don't bother continuing, the restart is scheduled
end
print("System voltage (mV):", adc.readvdd33(0))

--nodemcu ya gore (esp8266-12)
local led = 4  --modüldeki led
local led2 = 0 --bord daki led

-- GPIO ayarla:
gpio.mode(led, gpio.OUTPUT)
gpio.mode(led2, gpio.OUTPUT)
gpio.write(led2, gpio.HIGH)

--pwm ayarla: (esp8266-12 ye gore led ters)
pwm.setup(led, 5, 900)
pwm.start(led)

print('Baglanti Kontrol Ediliyor...')

enduser_setup.start(
  function()
    print("Connected IP:\t" .. wifi.sta.getip())
    print("Starting server...")
    pwm.setup(led, 1, 900)
    pwm.start(led)
    dofile("dstcpserver.lua")
  end,
  function(err, str)
    print("enduser_setup: Err #" .. err .. ": " .. str)
  end
);

wifi.eventmon.register(wifi.eventmon.STA_GOT_IP, function(T)
    print("\nStation IP:\t"..T.IP.."\nSubnet mask:\t"..T.netmask.."\nGateway IP:\t"..T.gateway)
    print('Baglanti yapiliyor...')
end)

