--dstcpserver.lua Umut K.--
print('Open file: dstcpserver.lua')


local ow_pin = 12
local DStemp

local led2 = 0 --bord daki led
gpio.mode(led2, gpio.OUTPUT)
gpio.write(led2, gpio.LOW)

--ds ayarla
ds18b20.setup(ow_pin)

print('Server OK...')
 -- Start a simple http server
srv=net.createServer(net.TCP)
srv:listen(8080,function(conn)
  conn:on("receive",function(conn,payload)
  gpio.write(led2, gpio.HIGH)
    local httpbuf = ""
    --print(payload)

    --ds18b20 oku
    ds18b20.read(
    function(ind,rom,res,temp,tdec,par)
        DStemp = temp
    end,{})

    --eğer nil ise 0 yap
    if DStemp==nil then
        DStemp=0
    end
    
    --ADC system voltage
    if adc.force_init_mode(adc.INIT_VDD33)
    then
        node.restart()
        return -- don't bother continuing, the restart is scheduled
    end
 
    --data al
    local strT = string.format("%5.3f", DStemp)
    
    --html kod oluştur
    httpbuf = httpbuf .. 'HTTP/1.0 200 OK\r\nContent-Type: text/html\r\n\r\n'
    httpbuf = httpbuf .. '<html>'
    httpbuf = httpbuf .. '<head><meta http-equiv=\"refresh\" content=\"5\"/><title>ESP8266 DS118B20 ile Sicaklik Okuma</title></head>'
    httpbuf = httpbuf .. '<body bgcolor=\"#ffffff\">'
    httpbuf = httpbuf .. '<center>'
    httpbuf = httpbuf .. '<table bgcolor=\"#0000ff\" width=\"100%\" border=\"0\">'
    
    --httpbuf = httpbuf .. '<tr>'
    --httpbuf = httpbuf .. '  <td><font size=\"3\" face=\"arial, helvetica\" color=\"#ffffff\"><center>ESP8266 ve Si7021 ile Nem - Sicaklik Okuma</center></font></td>'
    --httpbuf = httpbuf .. '</tr>'
    
    httpbuf = httpbuf .. '<tr>'
    httpbuf = httpbuf .. '  <td><font size=\"5\" face=\"arial, helvetica\" color=\"#ffffff\"><center>Temperature</center></font></td>'
    httpbuf = httpbuf .. '</tr>'
    httpbuf = httpbuf .. '<tr>'
    httpbuf = httpbuf .. '  <td><font size=\"8\" face=\"arial, helvetica\" color=\"#ffffff\"><center>' .. strT .. '°C</center></font></td>'
    httpbuf = httpbuf .. '</tr>'

    httpbuf = httpbuf .. '<tr>'
    httpbuf = httpbuf .. '  <td><font size=\"2\" face=\"arial, helvetica\" color=\"#ffffff\"><center>System voltage:' .. adc.readvdd33(0) .. ' mV</center></font></td>'
    httpbuf = httpbuf .. '</tr>'

    httpbuf = httpbuf .. '<tr>'
    httpbuf = httpbuf .. '  <td><font size=\"2\" face=\"arial, helvetica\" color=\"#ffffff\"><center>RSSI:' .. wifi.sta.getrssi() .. '</center></font></td>'
    httpbuf = httpbuf .. '</tr>'
    
    httpbuf = httpbuf .. '<tr>'
    httpbuf = httpbuf .. '  <td><font size=\"2\" face=\"arial, helvetica\" color=\"#ffffff\"><center>Umut K.</center></font></td>'
    httpbuf = httpbuf .. '</tr>'
    
    httpbuf = httpbuf .. '</table>'
    httpbuf = httpbuf .. '</center>'
    httpbuf = httpbuf .. '</body></html>'
    
    
    --tcp gonder
    conn:send(httpbuf)
    gpio.write(led2, gpio.LOW)
  end)
  conn:on("sent",function(conn) conn:close() end)
end)


--sürekli baglantiyi kontrol edilecek koptu ise reset atilacak
tmr.alarm(0, 5000, 1, function ()
    if wifi.sta.status()==3 then
        print('Baglanti koptu...')
        node.restart()
    end
end)
